#!/bin/sh


##  -------- Generate documentation for the Greenstone Librarian Interface --------

## ---- Check Javadoc exists ----
javadocpath=

# Some users may set the above line manually
if [ "$javadocpath" == "" ]; then

    # If it is set, use the JAVAHOME environment variable
    if [ "$JAVAHOME" != "" ]; then
	javadocpath="$JAVAHOME/bin/javadoc"

    # Check if Javadoc is on the search path
    else
	javadocpath=`which javadoc 2> /dev/null`
    fi
fi

# Check that a Javadoc executable has been found
echo "Checking Javadoc: $javadocpath"
if [ ! -x "$javadocpath" ]; then
    echo
    echo "Failed to locate an appropriate version of Javadoc. You must install a"
    echo "Java Development Kit (version 1.4 or greater) before generating the"
    echo "documentation for the Greenstone Librarian Interface."
    exit 1
fi


## ---- Document the GLI ----
echo
echo "Generating documentation for the Greenstone Librarian Interface..."

javadoc -classpath classes/ -sourcepath src/ -source 1.4 -author -breakiterator -d docs/ -group "Gatherer v2.3" org.greenstone.gatherer:org.greenstone.gatherer.checklist:org.greenstone.gatherer.collection:org.greenstone.gatherer.file:org.greenstone.gatherer.gui:org.greenstone.gatherer.gui.browser:org.greenstone.gatherer.gui.combobox:org.greenstone.gatherer.gui.messages:org.greenstone.gatherer.gui.metaaudit:org.greenstone.gatherer.gui.table:org.greenstone.gatherer.gui.tree:org.greenstone.gatherer.help:org.greenstone.gatherer.sarm:org.greenstone.gatherer.shell:org.greenstone.gatherer.util -group "Collection Design Module" org.greenstone.gatherer.cdm:org.greenstone.gatherer.cdm.custom -group "Metadata Set Manager" org.greenstone.gatherer.msm:org.greenstone.gatherer.msm.parsers -group "Value Tree Controls" org.greenstone.gatherer.valuetree -private -splitindex -version   org.greenstone.gatherer org.greenstone.gatherer.checklist org.greenstone.gatherer.collection org.greenstone.gatherer.file org.greenstone.gatherer.gui org.greenstone.gatherer.gui.browser org.greenstone.gatherer.gui.combobox org.greenstone.gatherer.gui.messages org.greenstone.gatherer.gui.metaaudit org.greenstone.gatherer.gui.table org.greenstone.gatherer.gui.tree org.greenstone.gatherer.help org.greenstone.gatherer.sarm org.greenstone.gatherer.shell org.greenstone.gatherer.util org.greenstone.gatherer.cdm org.greenstone.gatherer.cdm.custom org.greenstone.gatherer.msm org.greenstone.gatherer.msm.parsers org.greenstone.gatherer.valuetree 

echo "Done!"
