<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html"/>

  <xsl:template match="Anchor"/>

  <xsl:template match="Break">
    <p/>
  </xsl:template>

  <xsl:template match="Contents">
    <p/>
  </xsl:template>

  <xsl:template match="Document">
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"></meta>
        <title>The Greenstone Librarian Interface - Help Pages</title>
      </head>
      <body bgcolor="#E0F0E0">
	<xsl:for-each select="Section">
	  <xsl:call-template name="processSection">
	    <xsl:with-param name="sectionHead" select="position()"/>
	  </xsl:call-template>
	</xsl:for-each>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="ObviousSentence"/>

  <xsl:template match="Reference">
    <a href="#{@target}"><xsl:apply-templates/></a>
  </xsl:template>

  <xsl:template match="Section"/>

  <xsl:template match="Title"/>


  <xsl:template name="processSection">
    <xsl:param name="sectionHead"/>

    <xsl:if test="Title">
      <a name="{@name}">
        <xsl:call-template name="processTitle">
          <xsl:with-param name="sectionNumber" select="$sectionHead"/>
	  <xsl:with-param name="sectionTitle" select="Title"/>
        </xsl:call-template>
      </a>
    </xsl:if>

    <xsl:apply-templates/>

    <xsl:for-each select="Section">
      <xsl:call-template name="processSection">
        <xsl:with-param name="sectionHead" select="concat($sectionHead, '.', position())"/>
      </xsl:call-template>
    </xsl:for-each>
  </xsl:template>


  <xsl:template name="processTitle">
    <xsl:param name="sectionNumber"/>
    <xsl:param name="sectionTitle"/>

    <xsl:choose>
      <xsl:when test="contains($sectionNumber, '.')">
        <h3>Section <xsl:value-of select="concat($sectionNumber, ': ', $sectionTitle)"/></h3>
      </xsl:when>
      <xsl:otherwise>
        <h1>Section <xsl:value-of select="concat($sectionNumber, ': ', $sectionTitle)"/></h1>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>